Loading...
Searching...
No Matches
functor_traits< R(C::*)(Args...) const >

## Detailed Description

template<typename C, typename R, typename... Args>
struct rheolef::details::functor_traits< R(C::*)(Args...) const >

Definition at line 145 of file field_expr_utilities.h.

## Classes

struct | arg

## Public Types

using | result_type = R
typedef std::tuple< Args... > | args_tuple_type
using | function_type = R(Args...)
using | function_pointer_type = R(*)(Args...)
using | copiable_type = C
using | functor_type = C

## Static Public Attributes

static const std::size_t | arity = sizeof...(Args)

## Member Typedef Documentation

## result_type

template<typename C , typename R , typename... Args>

using result_type = R

Definition at line 146 of file field_expr_utilities.h.

## args_tuple_type

template<typename C , typename R , typename... Args>

typedef std::tuple<Args...> args_tuple_type

Definition at line 154 of file field_expr_utilities.h.

## function_type

template<typename C , typename R , typename... Args>

using function_type = R (Args...)

Definition at line 155 of file field_expr_utilities.h.

## function_pointer_type

template<typename C , typename R , typename... Args>

using function_pointer_type = R (*)(Args...)

Definition at line 156 of file field_expr_utilities.h.

## copiable_type

template<typename C , typename R , typename... Args>

using copiable_type = C

Definition at line 157 of file field_expr_utilities.h.

## functor_type

template<typename C , typename R , typename... Args>

using functor_type = C

Definition at line 158 of file field_expr_utilities.h.

## Member Data Documentation

## arity

template<typename C , typename R , typename... Args>

const std::size_t arity = sizeof...(Args)

static

Definition at line 147 of file field_expr_utilities.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/fem/geo_element/field_expr_utilities.h